summaryrefslogtreecommitdiff
path: root/scripts/postinst-intercepts/update_icon_cache
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2018-07-31 17:48:08 -0500
committerJohn Klug <john.klug@multitech.com>2018-07-31 17:48:08 -0500
commitb5dd8c128624cb77576d692b68e24691d4d9a96d (patch)
tree4a0cc0a718fa98582fd70719a83b826c2d990cf5 /scripts/postinst-intercepts/update_icon_cache
parente08c220730d5da161a746d811268eb1550beb856 (diff)
downloadmlinux-b5dd8c128624cb77576d692b68e24691d4d9a96d.tar.gz
mlinux-b5dd8c128624cb77576d692b68e24691d4d9a96d.tar.bz2
mlinux-b5dd8c128624cb77576d692b68e24691d4d9a96d.zip
mLinux 4
Diffstat (limited to 'scripts/postinst-intercepts/update_icon_cache')
-rw-r--r--scripts/postinst-intercepts/update_icon_cache13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/postinst-intercepts/update_icon_cache b/scripts/postinst-intercepts/update_icon_cache
new file mode 100644
index 0000000..9cf2a72
--- /dev/null
+++ b/scripts/postinst-intercepts/update_icon_cache
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# update native pixbuf loaders
+$STAGING_DIR_NATIVE/${libdir_native}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders --update-cache
+
+for icondir in $D/usr/share/icons/*/ ; do
+ if [ -d $icondir ] ; then
+ gtk-update-icon-cache -fqt $icondir
+ fi
+done
+